<?php
session_start();
if (!isset($_SESSION['admin_id'])) {
    header("Location: login.php");
    exit;
}

// Configuración de rutas base dinámicas
$protocol = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? 'https://' : 'http://');
$host = $_SERVER['HTTP_HOST'];
$app_path = '/esiboc'; // Cambia esto si tu aplicación no está en /esiboc
$base_url = $protocol . $host . $app_path;
$base_dir = __DIR__; // Ruta absoluta al directorio actual

$config_file = '../config/config_campos.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $nuevo_config = "<?php\n// Configuración de campos obligatorios\n// true = obligatorio, false = opcional\n\n\$campos_obligatorios = [\n";
    
    $campos = [
        'nombres' => 'Nombres',
        'apellidos' => 'Apellidos', 
        'cedula' => 'Número de identificación',
        'sexo' => 'Sexo biológico',
        'celular' => 'Número de celular',
        'correo' => 'Correo electrónico',
        'direccion' => 'Dirección',
        'clase_cuerpo_bomberos' => 'Clase de cuerpo de bomberos',
        'departamento' => 'Departamento',
        'municipio' => 'Municipio',
        'archivo_pdf_cedula' => 'Fotocopia de cédula',
        'archivo_img_fotografia' => 'Fotografía del participante',
        'archivo_pdf_comprobante_pago' => 'Comprobante de pago',
        'archivo_pdf_certificado_formacion' => 'Certificado de formación',
        'archivo_pdf_oficio_postulacion' => 'Oficio de postulación',
        'archivo_pdf_rut' => 'RUT'
    ];
    
    foreach ($campos as $campo => $etiqueta) {
        $obligatorio = isset($_POST[$campo]) ? 'true' : 'false';
        $nuevo_config .= "    '$campo' => $obligatorio,  // $etiqueta\n";
    }
    
    $nuevo_config .= "];\n?>";
    
    file_put_contents($config_file, $nuevo_config);
    $mensaje = "Configuración actualizada correctamente";
}

// Cargar configuración actual
require $config_file;
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Configurar Campos Obligatorios | ESIBOC</title>
    
    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/admin-lte@3.2/dist/css/adminlte.min.css">
</head>
<body class="hold-transition sidebar-mini layout-fixed">
<div class="wrapper">

    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
            </li>
            <li class="nav-item d-none d-sm-inline-block">
                <a href="<?php echo $base_url; ?>/admin/dashboard.php" class="nav-link">Inicio</a>
            </li>
            <li class="nav-item d-none d-sm-inline-block">
                <a href="<?php echo $base_url; ?>/admin/configurar_campos.php" class="nav-link active">Configurar Campos</a>
            </li>
        </ul>
    </nav>

    <!-- Sidebar -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Brand Logo -->
        <a href="<?php echo $base_url; ?>/admin/dashboard.php" class="brand-link">
            <span class="brand-text font-weight-light">ESIBOC Admin</span>
        </a>

        <!-- Sidebar -->
        <div class="sidebar">
            <!-- Sidebar user panel -->
            <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                <div class="image">
                    <span class="img-circle elevation-2 bg-info d-flex align-items-center justify-content-center" 
                          style="width: 40px; height: 40px; font-weight: bold; font-size: 18px;">
                        <?php echo strtoupper(substr($_SESSION['admin_nombre'], 0, 1)); ?>
                    </span>
                </div>
                <div class="info">
                    <a href="#" class="d-block"><?php echo htmlspecialchars($_SESSION['admin_nombre']); ?></a>
                </div>
            </div>

            <!-- Sidebar Menu -->
            <nav class="mt-2">
                <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                    <li class="nav-item">
                        <a href="<?php echo $base_url; ?>/admin/dashboard.php" class="nav-link">
                            <i class="nav-icon fas fa-tachometer-alt"></i>
                            <p>Dashboard</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="<?php echo $base_url; ?>/admin/crear_curso.php" class="nav-link">
                            <i class="nav-icon fas fa-plus-circle"></i>
                            <p>Crear Curso</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="<?php echo $base_url; ?>/admin/ver_cursos.php" class="nav-link">
                            <i class="nav-icon fas fa-book"></i>
                            <p>Gestionar Cursos</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="<?php echo $base_url; ?>/admin/inscribir_participante.php" class="nav-link">
                            <i class="nav-icon fas fa-user-plus"></i>
                            <p>Inscribir Participante</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="<?php echo $base_url; ?>/admin/ver_inscritos.php" class="nav-link">
                            <i class="nav-icon fas fa-clipboard-list"></i>
                            <p>Ver Inscripciones</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="<?php echo $base_url; ?>/admin/configurar_campos.php" class="nav-link active">
                            <i class="nav-icon fas fa-cogs"></i>
                            <p>Configurar Campos</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="<?php echo $base_url; ?>/admin/logout.php" class="nav-link text-danger">
                            <i class="nav-icon fas fa-sign-out-alt"></i>
                            <p>Cerrar Sesión</p>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </aside>

    <!-- Content Wrapper -->
    <div class="content-wrapper">
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1>Configuración de Campos Obligatorios</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="<?php echo $base_url; ?>/admin/dashboard.php">Inicio</a></li>
                            <li class="breadcrumb-item active">Configurar Campos</li>
                        </ol>
                    </div>
                </div>
            </div>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-12">
                        <div class="card card-primary">
                            <div class="card-header">
                                <h3 class="card-title">Seleccione los campos que deben ser obligatorios</h3>
                            </div>
                            
                            <?php if (isset($mensaje)): ?>
                                <div class="alert alert-success alert-dismissible ml-3 mr-3 mt-3">
                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                    <h5><i class="icon fas fa-check"></i> Éxito!</h5>
                                    <?php echo $mensaje; ?>
                                </div>
                            <?php endif; ?>
                            
                            <form method="POST">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <h4><i class="fas fa-user mr-2"></i>Información Personal</h4>
                                            <?php
                                            $campos_personales = [
                                                'nombres' => 'Nombres',
                                                'apellidos' => 'Apellidos', 
                                                'cedula' => 'Número de identificación',
                                                'sexo' => 'Sexo biológico',
                                                'celular' => 'Número de celular',
                                                'correo' => 'Correo electrónico',
                                                'direccion' => 'Dirección'
                                            ];
                                            
                                            foreach ($campos_personales as $campo => $etiqueta): ?>
                                                <div class="form-check">
                                                    <input type="checkbox" class="form-check-input" 
                                                           name="<?php echo $campo; ?>" id="<?php echo $campo; ?>"
                                                           <?php echo $campos_obligatorios[$campo] ? 'checked' : ''; ?>>
                                                    <label class="form-check-label" for="<?php echo $campo; ?>">
                                                        <?php echo $etiqueta; ?>
                                                    </label>
                                                </div>
                                            <?php endforeach; ?>
                                            
                                            <h4 class="mt-4"><i class="fas fa-building mr-2"></i>Información Institucional</h4>
                                            <?php
                                            $campos_institucionales = [
                                                'clase_cuerpo_bomberos' => 'Clase de cuerpo de bomberos',
                                                'departamento' => 'Departamento',
                                                'municipio' => 'Municipio'
                                            ];
                                            
                                            foreach ($campos_institucionales as $campo => $etiqueta): ?>
                                                <div class="form-check">
                                                    <input type="checkbox" class="form-check-input" 
                                                           name="<?php echo $campo; ?>" id="<?php echo $campo; ?>"
                                                           <?php echo $campos_obligatorios[$campo] ? 'checked' : ''; ?>>
                                                    <label class="form-check-label" for="<?php echo $campo; ?>">
                                                        <?php echo $etiqueta; ?>
                                                    </label>
                                                </div>
                                            <?php endforeach; ?>
                                        </div>
                                        
                                        <div class="col-md-6">
                                            <h4><i class="fas fa-file-alt mr-2"></i>Documentos</h4>
                                            <?php
                                            $campos_documentos = [
                                                'archivo_pdf_cedula' => 'Fotocopia de cédula',
                                                'archivo_img_fotografia' => 'Fotografía del participante',
                                                'archivo_pdf_comprobante_pago' => 'Comprobante de pago',
                                                'archivo_pdf_certificado_formacion' => 'Certificado de formación',
                                                'archivo_pdf_oficio_postulacion' => 'Oficio de postulación',
                                                'archivo_pdf_rut' => 'RUT'
                                            ];
                                            
                                            foreach ($campos_documentos as $campo => $etiqueta): ?>
                                                <div class="form-check">
                                                    <input type="checkbox" class="form-check-input" 
                                                           name="<?php echo $campo; ?>" id="<?php echo $campo; ?>"
                                                           <?php echo $campos_obligatorios[$campo] ? 'checked' : ''; ?>>
                                                    <label class="form-check-label" for="<?php echo $campo; ?>">
                                                        <?php echo $etiqueta; ?>
                                                    </label>
                                                </div>
                                            <?php endforeach; ?>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-primary">
                                        <i class="fas fa-save mr-2"></i>Guardar Configuración
                                    </button>
                                    <a href="<?php echo $base_url; ?>/admin/dashboard.php" class="btn btn-secondary">
                                        <i class="fas fa-arrow-left mr-2"></i>Volver al Dashboard
                                    </a>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>

    <footer class="main-footer">
        <strong>Copyright &copy; <?php echo date('Y'); ?> <a href="<?php echo $base_url; ?>">ESIBOC</a>.</strong>
        Todos los derechos reservados.
        <div class="float-right d-none d-sm-inline-block">
            <b>Versión</b> 1.0.0
        </div>
    </footer>
</div>

<!-- REQUIRED SCRIPTS -->
<script src="https://cdn.jsdelivr.net/npm/jquery@3.6.0/dist/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/admin-lte@3.2/dist/js/adminlte.min.js"></script>
</body>
</html>
