<?php
require_once __DIR__ . '/../config/database.php';

header('Content-Type: application/json');

if (!isset($_GET['correo']) || !isset($_GET['curso_id']) || !isset($_GET['cedula'])) {
    echo json_encode(['error' => 'Datos incompletos']);
    exit;
}

$correo = $_GET['correo'];
$curso_id = intval($_GET['curso_id']);
$cedula = $_GET['cedula'];

try {
    $stmt = $pdo->prepare("SELECT COUNT(*) as existe 
                          FROM participantes p
                          JOIN inscripciones i ON p.id = i.participante_id
                          WHERE p.correo = ? AND i.curso_id = ? AND p.cedula != ?");
    $stmt->execute([$correo, $curso_id, $cedula]);
    $result = $stmt->fetch(PDO::FETCH_ASSOC);
    
    echo json_encode([
        'existe' => $result['existe'] > 0,
        'status' => 'success'
    ]);
} catch (PDOException $e) {
    echo json_encode([
        'error' => 'Error de base de datos',
        'details' => $e->getMessage()
    ]);
}
?>