<?php
require_once '../config/database.php';

header('Content-Type: application/json');

$correo = $_GET['correo'] ?? '';
$curso_id = $_GET['curso_id'] ?? '';

if (empty($correo) || empty($curso_id)) {
    echo json_encode(['error' => 'Parámetros incompletos']);
    exit;
}

try {
    $stmt = $pdo->prepare("SELECT COUNT(*) as inscrito FROM inscripciones 
                          WHERE participante_id = (SELECT id FROM participantes WHERE correo = ?) 
                          AND curso_id = ?");
    $stmt->execute([$correo, $curso_id]);
    $result = $stmt->fetch(PDO::FETCH_ASSOC);
    
    echo json_encode([
        'inscrito' => (bool)$result['inscrito']
    ]);
} catch (PDOException $e) {
    echo json_encode(['error' => 'Error en la base de datos']);
}
