<?php
header('Content-Type: application/json');
require_once __DIR__ . '/../config/database.php';

if (!isset($_GET['curso_id'])) {
    echo json_encode(['error' => 'ID de curso no proporcionado']);
    exit;
}

$curso_id = intval($_GET['curso_id']);

try {
    $stmt = $pdo->prepare("SELECT es_exclusivo FROM cursos WHERE id = ?");
    $stmt->execute([$curso_id]);
    $curso = $stmt->fetch(PDO::FETCH_ASSOC);

    if (!$curso) {
        echo json_encode(['error' => 'Curso no encontrado']);
        exit;
    }

    echo json_encode([
        'es_exclusivo' => (bool)$curso['es_exclusivo'],
        'status' => 'success'
    ]);
} catch (Exception $e) {
    echo json_encode(['error' => 'Error de base de datos']);
}