<?php
require_once __DIR__ . '/../config/database.php';

header('Content-Type: application/json');

if (!isset($_GET['cedula']) || !isset($_GET['curso_id'])) {
    echo json_encode(['error' => 'Datos incompletos']);
    exit;
}

$cedula = $_GET['cedula'];
$curso_id = intval($_GET['curso_id']);

try {
    $stmt = $pdo->prepare("SELECT COUNT(*) as inscrito 
                          FROM participantes p
                          JOIN inscripciones i ON p.id = i.participante_id
                          WHERE p.cedula = ? AND i.curso_id = ?");
    $stmt->execute([$cedula, $curso_id]);
    $result = $stmt->fetch(PDO::FETCH_ASSOC);
    
    echo json_encode([
        'inscrito' => $result['inscrito'] > 0,
        'status' => 'success'
    ]);
} catch (PDOException $e) {
    echo json_encode([
        'error' => 'Error de base de datos',
        'details' => $e->getMessage()
    ]);
}
?>