<?php
require_once __DIR__ . '/../config/database.php';

header('Content-Type: application/json');

if (!isset($_GET['curso_id'])) {
    echo json_encode(['error' => 'ID de curso no proporcionado']);
    exit;
}

$curso_id = $_GET['curso_id'];

try {
    $stmt = $pdo->prepare("SELECT cupo_maximo - (SELECT COUNT(*) FROM inscripciones WHERE curso_id = ?) as cupos_disponibles 
                          FROM cursos WHERE id = ?");
    $stmt->execute([$curso_id, $curso_id]);
    $result = $stmt->fetch(PDO::FETCH_ASSOC);
    
    echo json_encode([
        'cupos_disponibles' => $result['cupos_disponibles']
    ]);
} catch (PDOException $e) {
    echo json_encode(['error' => 'Error en la base de datos: ' . $e->getMessage()]);
}