<?php
require_once __DIR__ . '/../config/database.php';

// Obtener cursos disponibles
$stmt = $pdo->query("SELECT c.*, 
                    (SELECT COUNT(*) FROM inscripciones WHERE curso_id = c.id) as inscritos,
                    c.cupo_maximo - (SELECT COUNT(*) FROM inscripciones WHERE curso_id = c.id) as cupos_disponibles
                    FROM cursos c 
                    WHERE estado = 'activo' AND habilitado = 1
                    ORDER BY fecha_inicio DESC");
$cursos = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Departamentos y municipios de Colombia (completos)
$departamentos = [
    'Amazonas' => ['Leticia', 'Puerto Nariño', 'El Encanto', 'La Chorrera', 'La Pedrera', 'La Victoria', 'Mirití-Paraná', 'Puerto Alegría', 'Puerto Arica', 'Puerto Santander', 'Tarapacá'],
    'Antioquia' => ['Medellín', 'Abejorral', 'Abriaquí', 'Alejandría', 'Amagá', 'Amalfi', 'Andes', 'Angelópolis', 'Angostura', 'Anorí', 'Santafé de Antioquia', 'Anzá', 'Apartadó', 'Arboletes', 'Argelia', 'Armenia', 'Barbosa', 'Bello', 'Belmira', 'Betania', 'Betulia', 'Briceño', 'Buriticá', 'Cáceres', 'Caicedo', 'Caldas', 'Campamento', 'Cañasgordas', 'Caracolí', 'Caramanta', 'Carepa', 'Carolina', 'Caucasia', 'Chigorodó', 'Cisneros', 'Ciudad Bolívar', 'Cocorná', 'Concepción', 'Concordia', 'Copacabana', 'Dabeiba', 'Donmatías', 'Ebéjico', 'El Bagre', 'El Carmen de Viboral', 'El Peñol', 'El Retiro', 'El Santuario', 'Entrerríos', 'Envigado', 'Fredonia', 'Frontino', 'Giraldo', 'Girardota', 'Gómez Plata', 'Granada', 'Guadalupe', 'Guarne', 'Guatapé', 'Heliconia', 'Hispania', 'Itagüí', 'Ituango', 'Jardín', 'Jericó', 'La Ceja', 'La Estrella', 'La Pintada', 'La Unión', 'Liborina', 'Maceo', 'Marinilla', 'Montebello', 'Murindó', 'Mutatá', 'Nariño', 'Nechí', 'Necoclí', 'Olaya', 'Peque', 'Pueblorrico', 'Puerto Berrío', 'Puerto Nare', 'Puerto Triunfo', 'Remedios', 'Rionegro', 'Sabanalarga', 'Sabaneta', 'Salgar', 'San Andrés de Cuerquía', 'San Carlos', 'San Francisco', 'San Jerónimo', 'San José de la Montaña', 'San Juan de Urabá', 'San Luis', 'San Pedro', 'San Pedro de Urabá', 'San Rafael', 'San Roque', 'San Vicente', 'Santa Bárbara', 'Santa Fe de Antioquia', 'Santa Rosa de Osos', 'Santo Domingo', 'Segovia', 'Sonsón', 'Sopetrán', 'Támesis', 'Tarazá', 'Tarso', 'Titiribí', 'Toledo', 'Turbo', 'Uramita', 'Urrao', 'Valdivia', 'Valparaíso', 'Vegachí', 'Venecia', 'Vigía del Fuerte', 'Yalí', 'Yarumal', 'Yolombó', 'Yondó', 'Zaragoza'],
    'Arauca' => ['Arauca', 'Arauquita', 'Cravo Norte', 'Fortul', 'Puerto Rondón', 'Saravena', 'Tame'],
    'Atlántico' => ['Barranquilla', 'Baranoa', 'Campo de la Cruz', 'Candelaria', 'Galapa', 'Juan de Acosta', 'Luruaco', 'Malambo', 'Manatí', 'Palmar de Varela', 'Piojó', 'Polonuevo', 'Ponedera', 'Puerto Colombia', 'Repelón', 'Sabanagrande', 'Sabanalarga', 'Santa Lucía', 'Santo Tomás', 'Soledad', 'Suan', 'Tubará', 'Usiacurí'],
    'Bogotá, D.C.' => ['Bogotá'],
    'Bolívar' => ['Cartagena', 'Achí', 'Altos del Rosario', 'Arenal', 'Arjona', 'Arroyohondo', 'Barranco de Loba', 'Brazuelo de Papayal', 'Calamar', 'Cantagallo', 'Cicuco', 'Clemencia', 'Córdoba', 'El Carmen de Bolívar', 'El Guamo', 'El Peñón', 'Hatillo de Loba', 'Magangué', 'Mahates', 'Margarita', 'María la Baja', 'Montecristo', 'Mompós', 'Morales', 'Norosí', 'Pinillos', 'Regidor', 'Río Viejo', 'San Cristóbal', 'San Estanislao', 'San Fernando', 'San Jacinto', 'San Jacinto del Cauca', 'San Juan Nepomuceno', 'San Martín de Loba', 'San Pablo', 'Santa Catalina', 'Santa Rosa', 'Santa Rosa del Sur', 'Simití', 'Soplaviento', 'Talaigua Nuevo', 'Tiquisio', 'Turbaco', 'Turbaná', 'Villanueva', 'Zambrano'],
    'Boyacá' => ['Tunja', 'Almeida', 'Aquitania', 'Arcabuco', 'Belén', 'Berbeo', 'Betéitiva', 'Boavita', 'Boyacá', 'Briceño', 'Buenavista', 'Busbanzá', 'Caldas', 'Campohermoso', 'Cerinza', 'Chinavita', 'Chiquinquirá', 'Chíquiza', 'Chiscas', 'Chita', 'Chitaraque', 'Chivatá', 'Ciénega', 'Cómbita', 'Coper', 'Corrales', 'Covarachía', 'Cubará', 'Cucaita', 'Cuítiva', 'Duitama', 'El Cocuy', 'El Espino', 'Firavitoba', 'Floresta', 'Gachantivá', 'Gámeza', 'Garagoa', 'Guacamayas', 'Guateque', 'Guayatá', 'Güicán', 'Iza', 'Jenesano', 'Jericó', 'La Capilla', 'La Uvita', 'La Victoria', 'Labranzagrande', 'Macanal', 'Maripí', 'Miraflores', 'Mongua', 'Monguí', 'Moniquirá', 'Motavita', 'Muzo', 'Nobsa', 'Nuevo Colón', 'Oicatá', 'Otanche', 'Pachavita', 'Páez', 'Paipa', 'Pajarito', 'Panqueba', 'Pauna', 'Paya', 'Paz de Río', 'Pesca', 'Pisba', 'Puerto Boyacá', 'Quípama', 'Ramiriquí', 'Ráquira', 'Rondón', 'Saboyá', 'Sáchica', 'Samacá', 'San Eduardo', 'San José de Pare', 'San Luis de Gaceno', 'San Mateo', 'San Miguel de Sema', 'San Pablo de Borbur', 'Santa María', 'Santa Rosa de Viterbo', 'Santa Sofía', 'Santana', 'Sativanorte', 'Sativasur', 'Siachoque', 'Soatá', 'Socha', 'Socotá', 'Sogamoso', 'Somondoco', 'Sora', 'Soracá', 'Sotaquirá', 'Susacón', 'Sutamarchán', 'Sutatenza', 'Tasco', 'Tenza', 'Tibaná', 'Tibasosa', 'Tinjacá', 'Tipacoque', 'Toca', 'Togüí', 'Tópaga', 'Tota', 'Tununguá', 'Turmequé', 'Tuta', 'Tutazá', 'Umbita', 'Ventaquemada', 'Villa de Leyva', 'Viracachá', 'Zetaquira'],
    'Caldas' => ['Manizales', 'Aguadas', 'Anserma', 'Aranzazu', 'Belalcázar', 'Chinchiná', 'Filadelfia', 'La Dorada', 'La Merced', 'Manzanares', 'Marmato', 'Marquetalia', 'Marulanda', 'Neira', 'Norcasia', 'Pácora', 'Palestina', 'Pensilvania', 'Riosucio', 'Risaralda', 'Salamina', 'Samaná', 'San José', 'Supía', 'Victoria', 'Villamaría', 'Viterbo'],
    'Caquetá' => ['Florencia', 'Albania', 'Belén de los Andaquíes', 'Cartagena del Chairá', 'Curillo', 'El Doncello', 'El Paujil', 'La Montañita', 'Milán', 'Morelia', 'Puerto Rico', 'San José del Fragua', 'San Vicente del Caguán', 'Solano', 'Solita', 'Valparaíso'],
    'Casanare' => ['Yopal', 'Aguazul', 'Chámeza', 'Hato Corozal', 'La Salina', 'Maní', 'Monterrey', 'Nunchía', 'Orocué', 'Paz de Ariporo', 'Pore', 'Recetor', 'Sabanalarga', 'Sácama', 'San Luis de Palenque', 'Támara', 'Tauramena', 'Trinidad', 'Villanueva'],
    'Cauca' => ['Popayán', 'Almaguer', 'Argelia', 'Balboa', 'Bolívar', 'Buenos Aires', 'Cajibío', 'Caldono', 'Caloto', 'Corinto', 'El Tambo', 'Florencia', 'Guachené', 'Guapí', 'Inzá', 'Jambaló', 'La Sierra', 'La Vega', 'López', 'Mercaderes', 'Miranda', 'Morales', 'Padilla', 'Páez', 'Patía', 'Piamonte', 'Piendamó', 'Puerto Tejada', 'Puracé', 'Rosas', 'San Sebastián', 'Santa Rosa', 'Santander de Quilichao', 'Silvia', 'Sotará', 'Suárez', 'Sucre', 'Timbío', 'Timbiquí', 'Toribío', 'Totoró', 'Villa Rica'],
    'Cesar' => ['Valledupar', 'Aguachica', 'Agustín Codazzi', 'Astrea', 'Becerril', 'Bosconia', 'Chimichagua', 'Chiriguaná', 'Curumaní', 'El Copey', 'El Paso', 'Gamarra', 'González', 'La Gloria', 'La Jagua de Ibirico', 'La Paz', 'Manaure', 'Pailitas', 'Pelaya', 'Pueblo Bello', 'Río de Oro', 'San Alberto', 'San Diego', 'San Martín', 'Tamalameque'],
    'Chocó' => ['Quibdó', 'Acandí', 'Alto Baudó', 'Atrato', 'Bagadó', 'Bahía Solano', 'Bajo Baudó', 'Bojayá', 'Cantón de San Pablo', 'Carmen del Darién', 'Cértegui', 'Condoto', 'El Carmen de Atrato', 'El Litoral del San Juan', 'Istmina', 'Juradó', 'Lloró', 'Medio Atrato', 'Medio Baudó', 'Medio San Juan', 'Nóvita', 'Nuquí', 'Río Iró', 'Río Quito', 'Riosucio', 'San José del Palmar', 'Sipí', 'Tadó', 'Unguía', 'Unión Panamericana'],
    'Córdoba' => ['Montería', 'Ayapel', 'Buenavista', 'Canalete', 'Cereté', 'Chimá', 'Chinú', 'Ciénaga de Oro', 'Cotorra', 'La Apartada', 'Lorica', 'Los Córdobas', 'Momil', 'Montelíbano', 'Moñitos', 'Planeta Rica', 'Pueblo Nuevo', 'Puerto Escondido', 'Puerto Libertador', 'Purísima', 'Sahagún', 'San Andrés de Sotavento', 'San Antero', 'San Bernardo del Viento', 'San Carlos', 'San José de Uré', 'San Pelayo', 'Tierralta', 'Tuchín', 'Valencia'],
    'Cundinamarca' => ['Agua de Dios', 'Albán', 'Anapoima', 'Anolaima', 'Apulo', 'Arbeláez', 'Beltrán', 'Bituima', 'Bojacá', 'Cabrera', 'Cachipay', 'Cajicá', 'Caparrapí', 'Cáqueza', 'Carmen de Carupa', 'Chaguaní', 'Chía', 'Chipaque', 'Choachí', 'Chocontá', 'Cogua', 'Cota', 'Cucunubá', 'El Colegio', 'El Peñón', 'El Rosal', 'Facatativá', 'Fómeque', 'Fosca', 'Funza', 'Fúquene', 'Fusagasugá', 'Gachalá', 'Gachancipá', 'Gachetá', 'Gama', 'Girardot', 'Granada', 'Guachetá', 'Guaduas', 'Guasca', 'Guataquí', 'Guatavita', 'Guayabal de Síquima', 'Guayabetal', 'Gutiérrez', 'Jerusalén', 'Junín', 'La Calera', 'La Mesa', 'La Palma', 'La Peña', 'La Vega', 'Lenguazaque', 'Machetá', 'Madrid', 'Manta', 'Medina', 'Mosquera', 'Nariño', 'Nemocón', 'Nilo', 'Nimaima', 'Nocaima', 'Pacho', 'Paime', 'Pandi', 'Paratebueno', 'Pasca', 'Puerto Salgar', 'Pulí', 'Quebradanegra', 'Quetame', 'Quipile', 'Ricaurte', 'San Antonio del Tequendama', 'San Bernardo', 'San Cayetano', 'San Francisco', 'San Juan de Rioseco', 'Sasaima', 'Sesquilé', 'Sibaté', 'Silvania', 'Simijaca', 'Soacha', 'Sopó', 'Subachoque', 'Suesca', 'Supatá', 'Susa', 'Sutatausa', 'Tabio', 'Tausa', 'Tena', 'Tenjo', 'Tibacuy', 'Tibirita', 'Tocaima', 'Tocancipá', 'Topaipí', 'Ubalá', 'Ubaque', 'Ubaté', 'Une', 'Útica', 'Vergara', 'Vianí', 'Villagómez', 'Villapinzón', 'Villeta', 'Viotá', 'Yacopí', 'Zipacón', 'Zipaquirá'],
    'Guainía' => ['Inírida', 'Barranco Minas', 'Mapiripana', 'San Felipe', 'Puerto Colombia', 'La Guadalupe', 'Cacahual', 'Pana Pana', 'Morichal'],
    'Guaviare' => ['San José del Guaviare', 'Calamar', 'El Retorno', 'Miraflores'],
    'Huila' => ['Neiva', 'Acevedo', 'Agrado', 'Aipe', 'Algeciras', 'Altamira', 'Baraya', 'Campoalegre', 'Colombia', 'Elías', 'Garzón', 'Gigante', 'Guadalupe', 'Hobo', 'Íquira', 'Isnos', 'La Argentina', 'La Plata', 'Nátaga', 'Oporapa', 'Paicol', 'Palermo', 'Palestina', 'Pital', 'Pitalito', 'Rivera', 'Saladoblanco', 'San Agustín', 'Santa María', 'Suaza', 'Tarqui', 'Tello', 'Teruel', 'Tesalia', 'Timaná', 'Villavieja', 'Yaguará'],
    'La Guajira' => ['Riohacha', 'Albania', 'Barrancas', 'Dibulla', 'Distracción', 'El Molino', 'Fonseca', 'Hatonuevo', 'La Jagua del Pilar', 'Manaure', 'San Juan del Cesar', 'Uribia', 'Urumita', 'Villanueva'],
    'Magdalena' => ['Santa Marta', 'Algarrobo', 'Aracataca', 'Ariguaní', 'Cerro San Antonio', 'Chibolo', 'Ciénaga', 'Concordia', 'El Banco', 'El Piñon', 'El Retén', 'Fundación', 'Guamal', 'Nueva Granada', 'Pedraza', 'Pijiño del Carmen', 'Pivijay', 'Plato', 'Puebloviejo', 'Remolino', 'Sabanas de San Ángel', 'Salamina', 'San Sebastián de Buenavista', 'San Zenón', 'Santa Ana', 'Santa Bárbara de Pinto', 'Sitionuevo', 'Tenerife', 'Zapayán', 'Zona Bananera'],
    'Meta' => ['Villavicencio', 'Acacías', 'Barranca de Upía', 'Cabuyaro', 'Castilla la Nueva', 'Cubarral', 'Cumaral', 'El Calvario', 'El Castillo', 'El Dorado', 'Fuente de Oro', 'Granada', 'Guamal', 'Mapiripán', 'Mesetas', 'La Macarena', 'La Uribe', 'Lejanías', 'Puerto Concordia', 'Puerto Gaitán', 'Puerto López', 'Puerto Lleras', 'Puerto Rico', 'Restrepo', 'San Carlos de Guaroa', 'San Juan de Arama', 'San Juanito', 'San Martín', 'Vista Hermosa'],
    'Nariño' => ['Pasto', 'Albán', 'Aldana', 'Ancuyá', 'Arboleda', 'Barbacoas', 'Belén', 'Buesaco', 'Chachagüí', 'Colón', 'Consacá', 'Contadero', 'Córdoba', 'Cuaspud', 'Cumbal', 'Cumbitara', 'El Charco', 'El Peñol', 'El Rosario', 'El Tablón de Gómez', 'El Tambo', 'Francisco Pizarro', 'Funes', 'Guachucal', 'Guaitarilla', 'Gualmatán', 'Iles', 'Imués', 'Ipiales', 'La Cruz', 'La Florida', 'La Llanada', 'La Tola', 'La Unión', 'Leiva', 'Linares', 'Los Andes', 'Magüí', 'Mallama', 'Mosquera', 'Nariño', 'Olaya Herrera', 'Ospina', 'Policarpa', 'Potosí', 'Providencia', 'Puerres', 'Pupiales', 'Ricaurte', 'Roberto Payán', 'Samaniego', 'San Bernardo', 'San Lorenzo', 'San Pablo', 'San Pedro de Cartago', 'Sandoná', 'Santa Bárbara', 'Santacruz', 'Sapuyes', 'Taminango', 'Tangua', 'Túquerres', 'Yacuanquer'],
    'Norte de Santander' => ['Cúcuta', 'Abrego', 'Arboledas', 'Bochalema', 'Bucarasica', 'Cácota', 'Cachirá', 'Chinácota', 'Chitagá', 'Convención', 'Cucutilla', 'Durania', 'El Carmen', 'El Tarra', 'El Zulia', 'Gramalote', 'Hacarí', 'Herrán', 'La Esperanza', 'La Playa', 'Labateca', 'Los Patios', 'Lourdes', 'Mutiscua', 'Ocaña', 'Pamplona', 'Pamplonita', 'Puerto Santander', 'Ragonvalia', 'Salazar', 'San Calixto', 'San Cayetano', 'Santiago', 'Sardinata', 'Silos', 'Teorama', 'Tibú', 'Toledo', 'Villa Caro', 'Villa del Rosario'],
    'Putumayo' => ['Mocoa', 'Colón', 'Orito', 'Puerto Asís', 'Puerto Caicedo', 'Puerto Guzmán', 'Puerto Leguízamo', 'San Francisco', 'San Miguel', 'Santiago', 'Sibundoy', 'Valle del Guamuez', 'Villagarzón'],
    'Quindío' => ['Armenia', 'Buenavista', 'Calarcá', 'Circasia', 'Córdoba', 'Filandia', 'Génova', 'La Tebaida', 'Montenegro', 'Pijao', 'Quimbaya', 'Salento'],
    'Risaralda' => ['Pereira', 'Apía', 'Balboa', 'Belén de Umbría', 'Dosquebradas', 'Guática', 'La Celia', 'La Virginia', 'Marsella', 'Mistrató', 'Pueblo Rico', 'Quinchía', 'Santa Rosa de Cabal', 'Santuario'],
    'San Andrés y Providencia' => ['San Andrés', 'Providencia y Santa Catalina'],
    'Santander' => ['Bucaramanga', 'Aguada', 'Albania', 'Aratoca', 'Barbosa', 'Barichara', 'Barrancabermeja', 'Betulia', 'Bolívar', 'Cabrera', 'California', 'Capitanejo', 'Carcasí', 'Cepitá', 'Cerrito', 'Charalá', 'Charta', 'Chima', 'Chipatá', 'Cimitarra', 'Concepción', 'Confines', 'Contratación', 'Coromoro', 'Curití', 'El Carmen de Chucurí', 'El Guacamayo', 'El Peñón', 'El Playón', 'Encino', 'Enciso', 'Florián', 'Floridablanca', 'Galán', 'Gámbita', 'Girón', 'Guaca', 'Guadalupe', 'Guapotá', 'Guavatá', 'Güepsa', 'Hato', 'Jesús María', 'Jordán', 'La Belleza', 'La Paz', 'Landázuri', 'Lebrija', 'Los Santos', 'Macaravita', 'Málaga', 'Matanza', 'Mogotes', 'Molagavita', 'Ocamonte', 'Oiba', 'Onzaga', 'Palmar', 'Palmas del Socorro', 'Páramo', 'Piedecuesta', 'Pinchote', 'Puente Nacional', 'Puerto Parra', 'Puerto Wilches', 'Rionegro', 'Sabana de Torres', 'San Andrés', 'San Benito', 'San Gil', 'San Joaquín', 'San José de Miranda', 'San Miguel', 'San Vicente de Chucurí', 'Santa Bárbara', 'Santa Helena del Opón', 'Simacota', 'Socorro', 'Suaita', 'Sucre', 'Suratá', 'Tona', 'Valle de San José', 'Vélez', 'Vetas', 'Villanueva', 'Zapatoca'],
    'Sucre' => ['Sincelejo', 'Buenavista', 'Caimito', 'Colosó', 'Corozal', 'Coveñas', 'Chalán', 'El Roble', 'Galeras', 'Guaranda', 'La Unión', 'Los Palmitos', 'Majagual', 'Morroa', 'Ovejas', 'Palmito', 'Sampués', 'San Benito Abad', 'San Juan de Betulia', 'San Marcos', 'San Onofre', 'San Pedro', 'Sincé', 'Sucre', 'Tolú', 'Tolú Viejo'],
    'Tolima' => ['Ibagué', 'Alpujarra', 'Alvarado', 'Ambalema', 'Anzoátegui', 'Armero', 'Ataco', 'Cajamarca', 'Carmen de Apicalá', 'Casabianca', 'Chaparral', 'Coello', 'Coyaima', 'Cunday', 'Dolores', 'Espinal', 'Falan', 'Flandes', 'Fresno', 'Guamo', 'Herveo', 'Honda', 'Icononzo', 'Lérida', 'Líbano', 'Mariquita', 'Melgar', 'Murillo', 'Natagaima', 'Ortega', 'Palocabildo', 'Piedras', 'Planadas', 'Prado', 'Purificación', 'Rioblanco', 'Roncesvalles', 'Rovira', 'Saldaña', 'San Antonio', 'San Luis', 'Santa Isabel', 'Suárez', 'Valle de San Juan', 'Venadillo', 'Villahermosa', 'Villarrica'],
    'Valle del Cauca' => ['Cali', 'Alcalá', 'Andalucía', 'Ansermanuevo', 'Argelia', 'Bolívar', 'Buenaventura', 'Buga', 'Bugalagrande', 'Caicedonia', 'Calima', 'Candelaria', 'Cartago', 'Dagua', 'El Águila', 'El Cairo', 'El Cerrito', 'El Dovio', 'Florida', 'Ginebra', 'Guacarí', 'Jamundí', 'La Cumbre', 'La Unión', 'La Victoria', 'Obando', 'Palmira', 'Pradera', 'Restrepo', 'Riofrío', 'Roldanillo', 'San Pedro', 'Sevilla', 'Toro', 'Trujillo', 'Tuluá', 'Ulloa', 'Versalles', 'Vijes', 'Yotoco', 'Yumbo', 'Zarzal'],
    'Vaupés' => ['Mitú', 'Carurú', 'Pacoa', 'Taraira', 'Papunaua', 'Yavaraté'],
    'Vichada' => ['Puerto Carreño', 'Cumaribo', 'La Primavera', 'Santa Rosalía']
];

// Manejar el formulario
$error = '';
$success = '';
$cupos_agotados = false;

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Recoger y sanitizar datos
    $nombres = filter_input(INPUT_POST, 'nombres', FILTER_SANITIZE_STRING);
    $apellidos = filter_input(INPUT_POST, 'apellidos', FILTER_SANITIZE_STRING);
    $cedula = filter_input(INPUT_POST, 'cedula', FILTER_SANITIZE_STRING);
    $sexo = filter_input(INPUT_POST, 'sexo', FILTER_SANITIZE_STRING);
    $celular = filter_input(INPUT_POST, 'celular', FILTER_SANITIZE_STRING);
    $correo = filter_input(INPUT_POST, 'correo', FILTER_SANITIZE_EMAIL);
    $direccion = filter_input(INPUT_POST, 'direccion', FILTER_SANITIZE_STRING);
    $clase_cuerpo_bomberos = filter_input(INPUT_POST, 'clase_cuerpo_bomberos', FILTER_SANITIZE_STRING);
    $departamento = filter_input(INPUT_POST, 'departamento', FILTER_SANITIZE_STRING);
    $municipio = filter_input(INPUT_POST, 'municipio', FILTER_SANITIZE_STRING);
    $curso_id = filter_input(INPUT_POST, 'curso_id', FILTER_VALIDATE_INT);

    // Validar datos requeridos
    if (empty($nombres) || empty($apellidos) || empty($cedula) || empty($sexo) || 
        empty($celular) || empty($correo) || empty($direccion) || 
        empty($clase_cuerpo_bomberos) || empty($departamento) || 
        empty($municipio) || empty($curso_id)) {
        $error = "Todos los campos obligatorios deben ser completados.";
    } else {
        // Validar curso
        $stmt = $pdo->prepare("SELECT habilitado, nombre, numero_registro FROM cursos WHERE id = ?");
        $stmt->execute([$curso_id]);
        $curso = $stmt->fetch(PDO::FETCH_ASSOC);
        
        if (!$curso || $curso['habilitado'] != 1) {
            $error = "El curso seleccionado no está habilitado para inscripciones.";
            $cupos_agotados = true;
        } else {
            // Verificar cupos
            $stmt = $pdo->prepare("SELECT cupo_maximo - (SELECT COUNT(*) FROM inscripciones WHERE curso_id = ?) as cupos_disponibles 
                                  FROM cursos WHERE id = ?");
            $stmt->execute([$curso_id, $curso_id]);
            $cupos = $stmt->fetch(PDO::FETCH_ASSOC);
            
            if ($cupos['cupos_disponibles'] <= 0) {
                $error = "No hay cupos disponibles para este curso.";
                $cupos_agotados = true;
            } else {
                // Verificar correo existente
                $stmt = $pdo->prepare("SELECT COUNT(*) FROM participantes p 
                                      JOIN inscripciones i ON p.id = i.participante_id 
                                      WHERE p.correo = ? AND i.curso_id = ? AND p.cedula != ?");
                $stmt->execute([$correo, $curso_id, $cedula]);
                $correo_existente = $stmt->fetchColumn();

                if ($correo_existente > 0) {
                    $error = "Ya existe otro participante inscrito en este curso con el mismo correo electrónico.";
                } else {
                    // Crear estructura de carpetas
                    $carpetaBaseCursos = __DIR__ . '/../cursos/';
                    if (!file_exists($carpetaBaseCursos)) {
                        if (!mkdir($carpetaBaseCursos, 0755, true)) {
                            $error = "No se pudo crear la carpeta base para cursos.";
                        }
                    }

                    if (empty($error)) {
                        $nombreCarpetaCurso = preg_replace('/[^A-Za-z0-9\-]/', '', str_replace(' ', '_', $curso['nombre'])) . '_' . $curso['numero_registro'];
                        $rutaCarpetaCurso = $carpetaBaseCursos . $nombreCarpetaCurso;

                        if (!file_exists($rutaCarpetaCurso)) {
                            if (!mkdir($rutaCarpetaCurso, 0755, true)) {
                                $error = "No se pudo crear la carpeta del curso.";
                            }
                        }

                        if (empty($error)) {
                            $nombreCarpetaParticipante = preg_replace('/[^A-Za-z0-9\-]/', '', str_replace(' ', '_', $nombres . '_' . $apellidos)) . '_' . $cedula;
                            $rutaCarpetaParticipante = $rutaCarpetaCurso . '/' . $nombreCarpetaParticipante;

                            if (!file_exists($rutaCarpetaParticipante)) {
                                if (!mkdir($rutaCarpetaParticipante, 0755, true)) {
                                    $error = "No se pudo crear la carpeta del participante.";
                                }
                            }

                            if (empty($error)) {
                                // Procesar archivos
                                $archivos = [];
                                $archivosPermitidos = [
                                    'archivo_pdf_cedula' => ['required' => true, 'max_size' => 2 * 1024 * 1024, 'types' => ['pdf', 'jpg', 'jpeg', 'png']],
                                    'archivo_img_fotografia' => ['required' => true, 'max_size' => 2 * 1024 * 1024, 'types' => ['jpg', 'jpeg', 'png']],
                                    'archivo_pdf_comprobante_pago' => ['required' => true, 'max_size' => 2 * 1024 * 1024, 'types' => ['pdf', 'jpg', 'jpeg', 'png']],
                                    'archivo_pdf_oficio_postulacion' => ['required' => false, 'max_size' => 2 * 1024 * 1024, 'types' => ['pdf', 'jpg', 'jpeg', 'png']],
                                    'archivo_pdf_certificado_formacion' => ['required' => true, 'max_size' => 2 * 1024 * 1024, 'types' => ['pdf', 'jpg', 'jpeg', 'png']],
                                    'archivo_pdf_rut' => ['required' => false, 'max_size' => 2 * 1024 * 1024, 'types' => ['pdf', 'jpg', 'jpeg', 'png']]
                                ];

                                foreach ($archivosPermitidos as $campo => $config) {
                                    if (isset($_FILES[$campo]) && $_FILES[$campo]['error'] === UPLOAD_ERR_OK) {
                                        // Validar tipo de archivo
                                        $fileExt = strtolower(pathinfo($_FILES[$campo]['name'], PATHINFO_EXTENSION));
                                        if (!in_array($fileExt, $config['types'])) {
                                            $error = "El archivo " . str_replace('_', ' ', $campo) . " debe ser de tipo: " . implode(', ', $config['types']);
                                            break;
                                        }

                                        // Validar tamaño
                                        if ($_FILES[$campo]['size'] > $config['max_size']) {
                                            $error = "El archivo " . str_replace('_', ' ', $campo) . " excede el tamaño máximo permitido (2MB)";
                                            break;
                                        }

                                        // Mover archivo
                                        $nombreArchivo = $campo . '_' . uniqid() . '.' . $fileExt;
                                        $rutaArchivo = $rutaCarpetaParticipante . '/' . $nombreArchivo;
                                        
                                        if (move_uploaded_file($_FILES[$campo]['tmp_name'], $rutaArchivo)) {
                                            // Guardar ruta relativa en la base de datos
                                            $rutaRelativa = 'cursos/' . $nombreCarpetaCurso . '/' . $nombreCarpetaParticipante . '/' . $nombreArchivo;
                                            $archivos[$campo] = $rutaRelativa;
                                        } else {
                                            $error = "Error al subir el archivo " . str_replace('_', ' ', $campo);
                                            break;
                                        }
                                    } elseif ($config['required']) {
                                        $error = "El archivo " . str_replace('_', ' ', $campo) . " es requerido";
                                        break;
                                    }
                                }

                                if (empty($error)) {
                                    try {
                                        $pdo->beginTransaction();
                                        
                                        // Verificar si el participante ya existe
                                        $stmt = $pdo->prepare("SELECT id FROM participantes WHERE cedula = ? LIMIT 1");
                                        $stmt->execute([$cedula]);
                                        $participante_existente = $stmt->fetch(PDO::FETCH_ASSOC);
                                        
                                        if ($participante_existente) {
                                            $participante_id = $participante_existente['id'];
                                            
                                            // Actualizar participante
                                            $stmt = $pdo->prepare("UPDATE participantes SET 
                                                nombres = ?, apellidos = ?, sexo = ?, celular = ?, correo = ?, direccion = ?,
                                                clase_cuerpo_bomberos = ?, departamento = ?, municipio = ?,
                                                archivo_pdf_cedula = COALESCE(?, archivo_pdf_cedula),
                                                archivo_img_fotografia = COALESCE(?, archivo_img_fotografia),
                                                archivo_pdf_comprobante_pago = COALESCE(?, archivo_pdf_comprobante_pago),
                                                archivo_pdf_oficio_postulacion = COALESCE(?, archivo_pdf_oficio_postulacion),
                                                archivo_pdf_certificado_formacion = COALESCE(?, archivo_pdf_certificado_formacion),
                                                archivo_pdf_rut = COALESCE(?, archivo_pdf_rut)
                                                WHERE id = ?");
                                            
                                            $stmt->execute([
                                                $nombres, $apellidos, $sexo, $celular, $correo, $direccion,
                                                $clase_cuerpo_bomberos, $departamento, $municipio,
                                                $archivos['archivo_pdf_cedula'] ?? null,
                                                $archivos['archivo_img_fotografia'] ?? null,
                                                $archivos['archivo_pdf_comprobante_pago'] ?? null,
                                                $archivos['archivo_pdf_oficio_postulacion'] ?? null,
                                                $archivos['archivo_pdf_certificado_formacion'] ?? null,
                                                $archivos['archivo_pdf_rut'] ?? null,
                                                $participante_id
                                            ]);
                                        } else {
                                            // Insertar nuevo participante
                                            $stmt = $pdo->prepare("INSERT INTO participantes 
                                                (nombres, apellidos, cedula, sexo, celular, correo, direccion, 
                                                clase_cuerpo_bomberos, departamento, municipio, 
                                                archivo_pdf_cedula, archivo_img_fotografia, archivo_pdf_comprobante_pago, 
                                                archivo_pdf_oficio_postulacion, archivo_pdf_certificado_formacion, archivo_pdf_rut) 
                                                VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
                                            
                                            $stmt->execute([
                                                $nombres, $apellidos, $cedula, $sexo, $celular, $correo, $direccion,
                                                $clase_cuerpo_bomberos, $departamento, $municipio,
                                                $archivos['archivo_pdf_cedula'] ?? '',
                                                $archivos['archivo_img_fotografia'] ?? '',
                                                $archivos['archivo_pdf_comprobante_pago'] ?? '',
                                                $archivos['archivo_pdf_oficio_postulacion'] ?? '',
                                                $archivos['archivo_pdf_certificado_formacion'] ?? '',
                                                $archivos['archivo_pdf_rut'] ?? null
                                            ]);
                                            
                                            $participante_id = $pdo->lastInsertId();
                                        }
                                        
                                        // Verificar que no esté ya inscrito
                                        $stmt = $pdo->prepare("SELECT COUNT(*) FROM inscripciones 
                                                              WHERE participante_id = ? AND curso_id = ?");
                                        $stmt->execute([$participante_id, $curso_id]);
                                        $ya_inscrito = $stmt->fetchColumn();
                                        
                                        if ($ya_inscrito > 0) {
                                            throw new Exception("Este participante ya está inscrito en este curso.");
                                        }
                                        
                                        // Insertar inscripción
                                        $stmt = $pdo->prepare("INSERT INTO inscripciones 
                                            (participante_id, curso_id) 
                                            VALUES (?, ?)");
                                        $stmt->execute([$participante_id, $curso_id]);
                                        
                                        $pdo->commit();
                                        
                                        $success = "Participante <strong>" . htmlspecialchars($nombres) . " " . htmlspecialchars($apellidos) . 
                                                  "</strong> con cédula <strong>" . htmlspecialchars($cedula) . "</strong> inscrito correctamente.";
                                        
                                        // Limpiar el POST para evitar reenvío
                                        $_POST = array();
                                    } catch (PDOException $e) {
                                        $pdo->rollBack();
                                        $error = "Error al registrar la inscripción: " . $e->getMessage();
                                    } catch (Exception $e) {
                                        $pdo->rollBack();
                                        $error = $e->getMessage();
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Inscripción de Participante | ESIBOC</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <style>
        body {
            background-color: #f8f9fa;
            padding: 20px 0;
        }
        .container {
            max-width: 1200px;
        }
        .card {
            box-shadow: 0 0.15rem 1.75rem 0 rgba(33, 40, 50, 0.15);
            border: none;
        }
        .card-header {
            background-color: #007bff;
            color: white;
        }
        .section-title {
            font-size: 1.1rem;
            color: #007bff;
            border-bottom: 1px solid #dee2e6;
            padding-bottom: 0.5rem;
            margin-bottom: 1.5rem;
        }
        .file-info {
            font-size: 0.8rem;
            color: #6c757d;
            margin-top: 0.25rem;
        }
        .cupos-container {
            margin-top: 0.5rem;
        }
        .cupos-info {
            padding: 0.5rem;
            border-radius: 4px;
            font-weight: 500;
            display: flex;
            align-items: center;
        }
        .cupos-disponibles {
            background-color: #d4edda;
            color: #155724;
        }
        .cupos-agotados {
            background-color: #f8d7da;
            color: #721c24;
        }
        .validation-message {
            display: block;
            margin-top: 0.25rem;
            font-size: 0.875rem;
        }
        .valid-feedback {
            color: #28a745;
        }
        .invalid-feedback {
            color: #dc3545;
        }
        .form-section {
            margin-bottom: 2rem;
        }
        .btn-group {
            display: flex;
            justify-content: flex-end;
            gap: 1rem;
            margin-top: 2rem;
        }
        .form-disabled {
            opacity: 0.7;
            pointer-events: none;
        }
        .form-disabled input:not(#curso_id), 
        .form-disabled select, 
        .form-disabled textarea, 
        .form-disabled button {
            background-color: #e9ecef;
            cursor: not-allowed;
        }
        .correo-invalido {
            border-color: #dc3545;
        }
        .correo-valido {
            border-color: #28a745;
        }
        .logo-container {
            text-align: center;
            margin-bottom: 20px;
        }
        .logo-container img {
            max-height: 80px;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="logo-container">
        <h2>ESIBOC - Inscripción de Participantes</h2>
    </div>
    
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">Complete los datos del participante</h3>
                </div>
                
                <?php if ($error): ?>
                    <div class="alert alert-danger alert-dismissible ml-3 mr-3 mt-3">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                        <h5><i class="icon fas fa-ban"></i> Error!</h5>
                        <?php echo htmlspecialchars($error); ?>
                    </div>
                <?php endif; ?>
                
                <?php if ($success): ?>
                    <div class="alert alert-success alert-dismissible ml-3 mr-3 mt-3">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                        <h5><i class="icon fas fa-check"></i> Éxito!</h5>
                        <?php echo $success; ?>
                    </div>
                <?php endif; ?>

                <form action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']); ?>" method="POST" enctype="multipart/form-data" id="inscripcionForm">
                    <div class="card-body">
                        <!-- Sección Curso -->
                        <div class="form-section">
                            <h4 class="section-title"><i class="fas fa-book-open mr-2"></i>Información del Curso</h4>
                            <div class="form-group">
                                <label for="curso_id">Curso:</label>
                                <select id="curso_id" name="curso_id" class="form-control" required>
                                    <option value="">Seleccionar Curso</option>
                                    <?php foreach ($cursos as $curso): ?>
                                        <option value="<?php echo htmlspecialchars($curso['id']); ?>"
                                            data-cupos="<?php echo htmlspecialchars($curso['cupos_disponibles']); ?>"
                                            <?php echo (isset($_POST['curso_id']) && $_POST['curso_id'] == $curso['id']) ? 'selected' : ''; ?>>
                                            <?php echo htmlspecialchars($curso['nombre']); ?> - 
                                            <?php echo date('d/m/Y', strtotime($curso['fecha_inicio'])); ?>
                                            (<?php echo htmlspecialchars($curso['cupos_disponibles']); ?> cupos)
                                        </option>
                                    <?php endforeach; ?>
                                </select>
                                <div id="cupos-container" class="cupos-container"></div>
                            </div>
                        </div>

                        <!-- Sección Información Personal -->
                        <div class="form-section">
                            <h4 class="section-title"><i class="fas fa-user mr-2"></i>Información Personal</h4>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="nombres">Nombres *</label>
                                        <input type="text" name="nombres" id="nombres" class="form-control" placeholder="Ej: Juan Carlos" required
                                        value="<?php echo isset($success) ? '' : (isset($_POST['nombres']) ? htmlspecialchars($_POST['nombres']) : ''); ?>">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="apellidos">Apellidos *</label>
                                        <input type="text" name="apellidos" id="apellidos" class="form-control" placeholder="Ej: Pérez García" required
                                        value="<?php echo isset($success) ? '' : (isset($_POST['apellidos']) ? htmlspecialchars($_POST['apellidos']) : ''); ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="cedula">Número de identificación *</label>
                                        <input type="text" name="cedula" id="cedula" class="form-control" placeholder="Ej: 1234567890" required
                                            value="<?php echo isset($success) ? '' : (isset($_POST['cedula']) ? htmlspecialchars($_POST['cedula']) : ''); ?>">
                                        <div id="cedula-feedback" class="validation-message"></div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="sexo">Sexo biológico *</label>
                                        <select name="sexo" id="sexo" class="form-control" required>
                                            <option value="">Seleccionar...</option>
                                            <option value="Masculino" <?php echo isset($success) ? '' : ((isset($_POST['sexo']) && $_POST['sexo'] == 'Masculino') ? 'selected' : ''); ?>>Masculino</option>
                                            <option value="Femenino" <?php echo isset($success) ? '' : ((isset($_POST['sexo']) && $_POST['sexo'] == 'Femenino') ? 'selected' : ''); ?>>Femenino</option>
                                            <option value="Otro" <?php echo isset($success) ? '' : ((isset($_POST['sexo']) && $_POST['sexo'] == 'Otro') ? 'selected' : ''); ?>>Otro</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="celular">Número de celular (WhatsApp) *</label>
                                        <input type="tel" name="celular" id="celular" class="form-control" placeholder="Ej: 3101234567" required
                                            value="<?php echo isset($success) ? '' : (isset($_POST['celular']) ? htmlspecialchars($_POST['celular']) : ''); ?>">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="correo">Correo electrónico *</label>
                                        <input type="email" name="correo" id="correo" class="form-control" placeholder="Ej: ejemplo@dominio.com" required
                                            value="<?php echo isset($success) ? '' : (isset($_POST['correo']) ? htmlspecialchars($_POST['correo']) : ''); ?>">
                                        <div id="correo-feedback" class="validation-message"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="direccion">Dirección de correspondencia *</label>
                                <input type="text" name="direccion" id="direccion" class="form-control" placeholder="Ej: Calle 123 #45-67" required
                                    value="<?php echo isset($success) ? '' : (isset($_POST['direccion']) ? htmlspecialchars($_POST['direccion']) : ''); ?>">
                            </div>
                        </div>

                        <!-- Sección Información Institucional -->
                        <div class="form-section">
                            <h4 class="section-title"><i class="fas fa-building mr-2"></i>Información Institucional</h4>
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="clase_cuerpo_bomberos">Clase de cuerpo de bomberos *</label>
                                        <select name="clase_cuerpo_bomberos" id="clase_cuerpo_bomberos" class="form-control" required>
                                            <option value="">Seleccionar...</option>
                                            <option value="Voluntario" <?php echo isset($success) ? '' : ((isset($_POST['clase_cuerpo_bomberos']) && $_POST['clase_cuerpo_bomberos'] == 'Voluntario') ? 'selected' : ''); ?>>Voluntario</option>
                                            <option value="Oficial" <?php echo isset($success) ? '' : ((isset($_POST['clase_cuerpo_bomberos']) && $_POST['clase_cuerpo_bomberos'] == 'Oficial') ? 'selected' : ''); ?>>Oficial</option>
                                            <option value="Aeronautico" <?php echo isset($success) ? '' : ((isset($_POST['clase_cuerpo_bomberos']) && $_POST['clase_cuerpo_bomberos'] == 'Aeronautico') ? 'selected' : ''); ?>>Aeronautico</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="departamento">Departamento *</label>
                                        <select name="departamento" id="departamento" class="form-control" required>
                                            <option value="">Seleccionar departamento...</option>
                                            <?php foreach ($departamentos as $depto => $municipios): ?>
                                                <option value="<?php echo htmlspecialchars($depto); ?>"
                                                    <?php echo isset($success) ? '' : ((isset($_POST['departamento']) && $_POST['departamento'] == $depto) ? 'selected' : ''); ?>>
                                                    <?php echo htmlspecialchars($depto); ?>
                                                </option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="municipio">Municipio *</label>
                                        <select name="municipio" id="municipio" class="form-control" required>
                                            <option value="">Seleccionar municipio...</option>
                                            <?php 
                                            if (isset($_POST['departamento']) && !isset($success)) {
                                                $deptoSeleccionado = $_POST['departamento'];
                                                if (array_key_exists($deptoSeleccionado, $departamentos)) {
                                                    foreach ($departamentos[$deptoSeleccionado] as $mun) {
                                                        echo '<option value="' . htmlspecialchars($mun) . '"';
                                                        if (isset($_POST['municipio']) && $_POST['municipio'] == $mun) {
                                                            echo ' selected';
                                                        }
                                                        echo '>' . htmlspecialchars($mun) . '</option>';
                                                    }
                                                }
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Sección Documentos -->
                        <div class="form-section">
                            <h4 class="section-title"><i class="fas fa-file-alt mr-2"></i>Documentos Requeridos</h4>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="archivo_pdf_cedula">Fotocopia de cédula (PDF, JPG, PNG) *</label>
                                        <input type="file" name="archivo_pdf_cedula" id="archivo_pdf_cedula" class="form-control file-upload" accept=".pdf,.jpg,.jpeg,.png" required>
                                        <div class="file-info">Tamaño máximo: 2MB</div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="archivo_img_fotografia">Fotografía del participante (JPG, PNG) *</label>
                                        <input type="file" name="archivo_img_fotografia" id="archivo_img_fotografia" class="form-control file-upload" accept=".jpg,.jpeg,.png" required>
                                        <div class="file-info">Tamaño máximo: 2MB</div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="archivo_pdf_comprobante_pago">Comprobante de pago (PDF, JPG, PNG) *</label>
                                        <input type="file" name="archivo_pdf_comprobante_pago" id="archivo_pdf_comprobante_pago" class="form-control file-upload" accept=".pdf,.jpg,.jpeg,.png" required>
                                        <div class="file-info">Tamaño máximo: 2MB</div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="archivo_pdf_oficio_postulacion">Oficio de postulación (PDF, JPG, PNG)</label>
                                        <input type="file" name="archivo_pdf_oficio_postulacion" id="archivo_pdf_oficio_postulacion" class="form-control file-upload" accept=".pdf,.jpg,.jpeg,.png">
                                        <div class="file-info">Tamaño máximo: 2MB</div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="archivo_pdf_certificado_formacion">Certificado de formación de bombero (PDF, JPG, PNG) *</label>
                                        <input type="file" name="archivo_pdf_certificado_formacion" id="archivo_pdf_certificado_formacion" class="form-control file-upload" accept=".pdf,.jpg,.jpeg,.png" required>
                                        <div class="file-info">Tamaño máximo: 2MB</div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="archivo_pdf_rut">RUT (opcional, solo si requiere factura) (PDF, JPG, PNG)</label>
                                        <input type="file" name="archivo_pdf_rut" id="archivo_pdf_rut" class="form-control file-upload" accept=".pdf,.jpg,.jpeg,.png">
                                        <div class="file-info">Tamaño máximo: 2MB</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="card-footer">
                        <button type="submit" id="submitBtn" class="btn btn-primary" <?php echo $cupos_agotados ? 'disabled' : ''; ?>>
                            <i class="fas fa-save mr-2"></i>Registrar Participante
                        </button>
                        <button type="reset" class="btn btn-default float-right">
                            <i class="fas fa-times mr-2"></i>Limpiar Formulario
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- REQUIRED SCRIPTS -->
<script src="https://cdn.jsdelivr.net/npm/jquery@3.6.0/dist/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/js/all.min.js"></script>
<script>
// Función para bloquear/desbloquear el formulario
function toggleForm(disabled, excludeFields = []) {
    const form = document.getElementById('inscripcionForm');
    const inputs = form.querySelectorAll('input:not(#curso_id), select, textarea, button');
    const submitBtn = document.getElementById('submitBtn');
    
    inputs.forEach(input => {
        if (!excludeFields.includes(input.id)) {
            input.disabled = disabled;
        }
    });
    
    submitBtn.disabled = disabled;
    
    if (disabled) {
        form.classList.add('form-disabled');
    } else {
        form.classList.remove('form-disabled');
    }
}

// Función para mostrar cupos disponibles
function mostrarCuposDisponibles() {
    const cursoId = document.getElementById("curso_id").value;
    const cuposContainer = document.getElementById("cupos-container");
    
    if (cursoId) {
        const selectedOption = document.querySelector("#curso_id option[value='" + cursoId + "']");
        const cuposDisponibles = parseInt(selectedOption.getAttribute('data-cupos'));
        
        let cuposHTML = '';
        if (cuposDisponibles <= 0) {
            cuposHTML = '<div class="cupos-info cupos-agotados">' +
                       '<i class="fas fa-times-circle status-icon"></i>' +
                       'No hay cupos disponibles - CURSO LLENO</div>';
            toggleForm(true);
        } else {
            cuposHTML = '<div class="cupos-info cupos-disponibles">' +
                       '<i class="fas fa-check-circle status-icon"></i>' +
                       'Cupos disponibles: ' + cuposDisponibles + '</div>';
            toggleForm(false);
        }
        cuposContainer.innerHTML = cuposHTML;
    } else {
        cuposContainer.innerHTML = '';
        toggleForm(false);
    }
}

// Función para verificar inscripción existente por cédula
function verificarInscripcionExistente() {
    const cedula = document.getElementById("cedula").value;
    const cursoId = document.getElementById("curso_id").value;
    const cedulaFeedback = document.getElementById("cedula-feedback");
    
    if (cedula && cursoId) {
        // Validación básica
        if (cedula.length < 5) {
            cedulaFeedback.innerHTML = '<i class="fas fa-exclamation-circle"></i> La cédula debe tener al menos 5 caracteres';
            cedulaFeedback.className = 'validation-message invalid-feedback';
            toggleForm(true);
        } else {
            cedulaFeedback.innerHTML = '<i class="fas fa-check-circle"></i> Cédula válida para este curso';
            cedulaFeedback.className = 'validation-message valid-feedback';
            
            const cuposDisponibles = document.querySelector('.cupos-info.cupos-disponibles');
            const correoInvalido = document.querySelector('#correo-feedback.invalid-feedback');
            
            if (cuposDisponibles && !correoInvalido) {
                toggleForm(false);
            }
        }
    }
}

// Función para verificar correo existente en el curso
function verificarCorreoExistente() {
    const correo = document.getElementById("correo").value;
    const cursoId = document.getElementById("curso_id").value;
    const cedula = document.getElementById("cedula").value;
    const correoFeedback = document.getElementById("correo-feedback");
    const correoInput = document.getElementById("correo");
    
    if (correo && cursoId && cedula) {
        // Validación básica de formato de correo
        const emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
        if (!emailRegex.test(correo)) {
            correoFeedback.innerHTML = '<i class="fas fa-exclamation-circle"></i> Formato de correo inválido';
            correoFeedback.className = 'validation-message invalid-feedback';
            correoInput.classList.add('correo-invalido');
            correoInput.classList.remove('correo-valido');
            document.getElementById('submitBtn').disabled = true;
            return;
        }
        
        correoFeedback.innerHTML = '<i class="fas fa-check-circle"></i> Correo disponible';
        correoFeedback.className = 'validation-message valid-feedback';
        correoInput.classList.add('correo-valido');
        correoInput.classList.remove('correo-invalido');
        
        const cuposDisponibles = document.querySelector('.cupos-info.cupos-disponibles');
        const cedulaInvalida = document.querySelector('#cedula-feedback.invalid-feedback');
        
        if (cuposDisponibles && !cedulaInvalida) {
            document.getElementById('submitBtn').disabled = false;
        }
    }
}

// Función para actualizar municipios según departamento seleccionado
function actualizarMunicipios() {
    const departamento = document.getElementById("departamento").value;
    const municipioSelect = document.getElementById("municipio");
    
    municipioSelect.innerHTML = '<option value="">Seleccionar municipio...</option>';
    
    if (departamento) {
        // Simulamos la carga de municipios basados en el departamento seleccionado
        const municipios = {
            'Amazonas': ['Leticia', 'Puerto Nariño', 'El Encanto', 'La Chorrera', 'La Pedrera', 'La Victoria', 'Mirití-Paraná', 'Puerto Alegría', 'Puerto Arica', 'Puerto Santander', 'Tarapacá'],
            'Antioquia': ['Medellín', 'Abejorral', 'Abriaquí', 'Alejandría', 'Amagá', 'Amalfi', 'Andes', 'Angelópolis', 'Angostura', 'Anorí', 'Santafé de Antioquia', 'Anzá', 'Apartadó', 'Arboletes', 'Argelia', 'Armenia', 'Barbosa', 'Bello', 'Belmira', 'Betania', 'Betulia', 'Briceño', 'Buriticá', 'Cáceres', 'Caicedo', 'Caldas', 'Campamento', 'Cañasgordas', 'Caracolí', 'Caramanta', 'Carepa', 'Carolina', 'Caucasia', 'Chigorodó', 'Cisneros', 'Ciudad Bolívar', 'Cocorná', 'Concepción', 'Concordia', 'Copacabana', 'Dabeiba', 'Donmatías', 'Ebéjico', 'El Bagre', 'El Carmen de Viboral', 'El Peñol', 'El Retiro', 'El Santuario', 'Entrerríos', 'Envigado', 'Fredonia', 'Frontino', 'Giraldo', 'Girardota', 'Gómez Plata', 'Granada', 'Guadalupe', 'Guarne', 'Guatapé', 'Heliconia', 'Hispania', 'Itagüí', 'Ituango', 'Jardín', 'Jericó', 'La Ceja', 'La Estrella', 'La Pintada', 'La Unión', 'Liborina', 'Maceo', 'Marinilla', 'Montebello', 'Murindó', 'Mutatá', 'Nariño', 'Nechí', 'Necoclí', 'Olaya', 'Peque', 'Pueblorrico', 'Puerto Berrío', 'Puerto Nare', 'Puerto Triunfo', 'Remedios', 'Rionegro', 'Sabanalarga', 'Sabaneta', 'Salgar', 'San Andrés de Cuerquía', 'San Carlos', 'San Francisco', 'San Jerónimo', 'San José de la Montaña', 'San Juan de Urabá', 'San Luis', 'San Pedro', 'San Pedro de Urabá', 'San Rafael', 'San Roque', 'San Vicente', 'Santa Bárbara', 'Santa Fe de Antioquia', 'Santa Rosa de Osos', 'Santo Domingo', 'Segovia', 'Sonsón', 'Sopetrán', 'Támesis', 'Tarazá', 'Tarso', 'Titiribí', 'Toledo', 'Turbo', 'Uramita', 'Urrao', 'Valdivia', 'Valparaíso', 'Vegachí', 'Venecia', 'Vigía del Fuerte', 'Yalí', 'Yarumal', 'Yolombó', 'Yondó', 'Zaragoza'],
            'Arauca': ['Arauca', 'Arauquita', 'Cravo Norte', 'Fortul', 'Puerto Rondón', 'Saravena', 'Tame'],
            'Atlántico': ['Barranquilla', 'Baranoa', 'Campo de la Cruz', 'Candelaria', 'Galapa', 'Juan de Acosta', 'Luruaco', 'Malambo', 'Manatí', 'Palmar de Varela', 'Piojó', 'Polonuevo', 'Ponedera', 'Puerto Colombia', 'Repelón', 'Sabanagrande', 'Sabanalarga', 'Santa Lucía', 'Santo Tomás', 'Soledad', 'Suan', 'Tubará', 'Usiacurí'],
            'Bogotá, D.C.': ['Bogotá'],
            'Bolívar': ['Cartagena', 'Achí', 'Altos del Rosario', 'Arenal', 'Arjona', 'Arroyohondo', 'Barranco de Loba', 'Brazuelo de Papayal', 'Calamar', 'Cantagallo', 'Cicuco', 'Clemencia', 'Córdoba', 'El Carmen de Bolívar', 'El Guamo', 'El Peñón', 'Hatillo de Loba', 'Magangué', 'Mahates', 'Margarita', 'María la Baja', 'Montecristo', 'Mompós', 'Morales', 'Norosí', 'Pinillos', 'Regidor', 'Río Viejo', 'San Cristóbal', 'San Estanislao', 'San Fernando', 'San Jacinto', 'San Jacinto del Cauca', 'San Juan Nepomuceno', 'San Martín de Loba', 'San Pablo', 'Santa Catalina', 'Santa Rosa', 'Santa Rosa del Sur', 'Simití', 'Soplaviento', 'Talaigua Nuevo', 'Tiquisio', 'Turbaco', 'Turbaná', 'Villanueva', 'Zambrano'],
            'Boyacá': ['Tunja', 'Almeida', 'Aquitania', 'Arcabuco', 'Belén', 'Berbeo', 'Betéitiva', 'Boavita', 'Boyacá', 'Briceño', 'Buenavista', 'Busbanzá', 'Caldas', 'Campohermoso', 'Cerinza', 'Chinavita', 'Chiquinquirá', 'Chíquiza', 'Chiscas', 'Chita', 'Chitaraque', 'Chivatá', 'Ciénega', 'Cómbita', 'Coper', 'Corrales', 'Covarachía', 'Cubará', 'Cucaita', 'Cuítiva', 'Duitama', 'El Cocuy', 'El Espino', 'Firavitoba', 'Floresta', 'Gachantivá', 'Gámeza', 'Garagoa', 'Guacamayas', 'Guateque', 'Guayatá', 'Güicán', 'Iza', 'Jenesano', 'Jericó', 'La Capilla', 'La Uvita', 'La Victoria', 'Labranzagrande', 'Macanal', 'Maripí', 'Miraflores', 'Mongua', 'Monguí', 'Moniquirá', 'Motavita', 'Muzo', 'Nobsa', 'Nuevo Colón', 'Oicatá', 'Otanche', 'Pachavita', 'Páez', 'Paipa', 'Pajarito', 'Panqueba', 'Pauna', 'Paya', 'Paz de Río', 'Pesca', 'Pisba', 'Puerto Boyacá', 'Quípama', 'Ramiriquí', 'Ráquira', 'Rondón', 'Saboyá', 'Sáchica', 'Samacá', 'San Eduardo', 'San José de Pare', 'San Luis de Gaceno', 'San Mateo', 'San Miguel de Sema', 'San Pablo de Borbur', 'Santa María', 'Santa Rosa de Viterbo', 'Santa Sofía', 'Santana', 'Sativanorte', 'Sativasur', 'Siachoque', 'Soatá', 'Socha', 'Socotá', 'Sogamoso', 'Somondoco', 'Sora', 'Soracá', 'Sotaquirá', 'Susacón', 'Sutamarchán', 'Sutatenza', 'Tasco', 'Tenza', 'Tibaná', 'Tibasosa', 'Tinjacá', 'Tipacoque', 'Toca', 'Togüí', 'Tópaga', 'Tota', 'Tununguá', 'Turmequé', 'Tuta', 'Tutazá', 'Umbita', 'Ventaquemada', 'Villa de Leyva', 'Viracachá', 'Zetaquira'],
            'Caldas': ['Manizales', 'Aguadas', 'Anserma', 'Aranzazu', 'Belalcázar', 'Chinchiná', 'Filadelfia', 'La Dorada', 'La Merced', 'Manzanares', 'Marmato', 'Marquetalia', 'Marulanda', 'Neira', 'Norcasia', 'Pácora', 'Palestina', 'Pensilvania', 'Riosucio', 'Risaralda', 'Salamina', 'Samaná', 'San José', 'Supía', 'Victoria', 'Villamaría', 'Viterbo'],
            'Caquetá': ['Florencia', 'Albania', 'Belén de los Andaquíes', 'Cartagena del Chairá', 'Curillo', 'El Doncello', 'El Paujil', 'La Montañita', 'Milán', 'Morelia', 'Puerto Rico', 'San José del Fragua', 'San Vicente del Caguán', 'Solano', 'Solita', 'Valparaíso'],
            'Casanare': ['Yopal', 'Aguazul', 'Chámeza', 'Hato Corozal', 'La Salina', 'Maní', 'Monterrey', 'Nunchía', 'Orocué', 'Paz de Ariporo', 'Pore', 'Recetor', 'Sabanalarga', 'Sácama', 'San Luis de Palenque', 'Támara', 'Tauramena', 'Trinidad', 'Villanueva'],
            'Cauca': ['Popayán', 'Almaguer', 'Argelia', 'Balboa', 'Bolívar', 'Buenos Aires', 'Cajibío', 'Caldono', 'Caloto', 'Corinto', 'El Tambo', 'Florencia', 'Guachené', 'Guapí', 'Inzá', 'Jambaló', 'La Sierra', 'La Vega', 'López', 'Mercaderes', 'Miranda', 'Morales', 'Padilla', 'Páez', 'Patía', 'Piamonte', 'Piendamó', 'Puerto Tejada', 'Puracé', 'Rosas', 'San Sebastián', 'Santa Rosa', 'Santander de Quilichao', 'Silvia', 'Sotará', 'Suárez', 'Sucre', 'Timbío', 'Timbiquí', 'Toribío', 'Totoró', 'Villa Rica'],
            'Cesar': ['Valledupar', 'Aguachica', 'Agustín Codazzi', 'Astrea', 'Becerril', 'Bosconia', 'Chimichagua', 'Chiriguaná', 'Curumaní', 'El Copey', 'El Paso', 'Gamarra', 'González', 'La Gloria', 'La Jagua de Ibirico', 'La Paz', 'Manaure', 'Pailitas', 'Pelaya', 'Pueblo Bello', 'Río de Oro', 'San Alberto', 'San Diego', 'San Martín', 'Tamalameque'],
            'Chocó': ['Quibdó', 'Acandí', 'Alto Baudó', 'Atrato', 'Bagadó', 'Bahía Solano', 'Bajo Baudó', 'Bojayá', 'Cantón de San Pablo', 'Carmen del Darién', 'Cértegui', 'Condoto', 'El Carmen de Atrato', 'El Litoral del San Juan', 'Istmina', 'Juradó', 'Lloró', 'Medio Atrato', 'Medio Baudó', 'Medio San Juan', 'Nóvita', 'Nuquí', 'Río Iró', 'Río Quito', 'Riosucio', 'San José del Palmar', 'Sipí', 'Tadó', 'Unguía', 'Unión Panamericana'],
            'Córdoba': ['Montería', 'Ayapel', 'Buenavista', 'Canalete', 'Cereté', 'Chimá', 'Chinú', 'Ciénaga de Oro', 'Cotorra', 'La Apartada', 'Lorica', 'Los Córdobas', 'Momil', 'Montelíbano', 'Moñitos', 'Planeta Rica', 'Pueblo Nuevo', 'Puerto Escondido', 'Puerto Libertador', 'Purísima', 'Sahagún', 'San Andrés de Sotavento', 'San Antero', 'San Bernardo del Viento', 'San Carlos', 'San José de Uré', 'San Pelayo', 'Tierralta', 'Tuchín', 'Valencia'],
            'Cundinamarca': ['Agua de Dios', 'Albán', 'Anapoima', 'Anolaima', 'Apulo', 'Arbeláez', 'Beltrán', 'Bituima', 'Bojacá', 'Cabrera', 'Cachipay', 'Cajicá', 'Caparrapí', 'Cáqueza', 'Carmen de Carupa', 'Chaguaní', 'Chía', 'Chipaque', 'Choachí', 'Chocontá', 'Cogua', 'Cota', 'Cucunubá', 'El Colegio', 'El Peñón', 'El Rosal', 'Facatativá', 'Fómeque', 'Fosca', 'Funza', 'Fúquene', 'Fusagasugá', 'Gachalá', 'Gachancipá', 'Gachetá', 'Gama', 'Girardot', 'Granada', 'Guachetá', 'Guaduas', 'Guasca', 'Guataquí', 'Guatavita', 'Guayabal de Síquima', 'Guayabetal', 'Gutiérrez', 'Jerusalén', 'Junín', 'La Calera', 'La Mesa', 'La Palma', 'La Peña', 'La Vega', 'Lenguazaque', 'Machetá', 'Madrid', 'Manta', 'Medina', 'Mosquera', 'Nariño', 'Nemocón', 'Nilo', 'Nimaima', 'Nocaima', 'Pacho', 'Paime', 'Pandi', 'Paratebueno', 'Pasca', 'Puerto Salgar', 'Pulí', 'Quebradanegra', 'Quetame', 'Quipile', 'Ricaurte', 'San Antonio del Tequendama', 'San Bernardo', 'San Cayetano', 'San Francisco', 'San Juan de Rioseco', 'Sasaima', 'Sesquilé', 'Sibaté', 'Silvania', 'Simijaca', 'Soacha', 'Sopó', 'Subachoque', 'Suesca', 'Supatá', 'Susa', 'Sutatausa', 'Tabio', 'Tausa', 'Tena', 'Tenjo', 'Tibacuy', 'Tibirita', 'Tocaima', 'Tocancipá', 'Topaipí', 'Ubalá', 'Ubaque', 'Ubaté', 'Une', 'Útica', 'Vergara', 'Vianí', 'Villagómez', 'Villapinzón', 'Villeta', 'Viotá', 'Yacopí', 'Zipacón', 'Zipaquirá'],
            'Guainía': ['Inírida', 'Barranco Minas', 'Mapiripana', 'San Felipe', 'Puerto Colombia', 'La Guadalupe', 'Cacahual', 'Pana Pana', 'Morichal'],
            'Guaviare': ['San José del Guaviare', 'Calamar', 'El Retorno', 'Miraflores'],
            'Huila': ['Neiva', 'Acevedo', 'Agrado', 'Aipe', 'Algeciras', 'Altamira', 'Baraya', 'Campoalegre', 'Colombia', 'Elías', 'Garzón', 'Gigante', 'Guadalupe', 'Hobo', 'Íquira', 'Isnos', 'La Argentina', 'La Plata', 'Nátaga', 'Oporapa', 'Paicol', 'Palermo', 'Palestina', 'Pital', 'Pitalito', 'Rivera', 'Saladoblanco', 'San Agustín', 'Santa María', 'Suaza', 'Tarqui', 'Tello', 'Teruel', 'Tesalia', 'Timaná', 'Villavieja', 'Yaguará'],
            'La Guajira': ['Riohacha', 'Albania', 'Barrancas', 'Dibulla', 'Distracción', 'El Molino', 'Fonseca', 'Hatonuevo', 'La Jagua del Pilar', 'Manaure', 'San Juan del Cesar', 'Uribia', 'Urumita', 'Villanueva'],
            'Magdalena': ['Santa Marta', 'Algarrobo', 'Aracataca', 'Ariguaní', 'Cerro San Antonio', 'Chibolo', 'Ciénaga', 'Concordia', 'El Banco', 'El Piñon', 'El Retén', 'Fundación', 'Guamal', 'Nueva Granada', 'Pedraza', 'Pijiño del Carmen', 'Pivijay', 'Plato', 'Puebloviejo', 'Remolino', 'Sabanas de San Ángel', 'Salamina', 'San Sebastián de Buenavista', 'San Zenón', 'Santa Ana', 'Santa Bárbara de Pinto', 'Sitionuevo', 'Tenerife', 'Zapayán', 'Zona Bananera'],
            'Meta': ['Villavicencio', 'Acacías', 'Barranca de Upía', 'Cabuyaro', 'Castilla la Nueva', 'Cubarral', 'Cumaral', 'El Calvario', 'El Castillo', 'El Dorado', 'Fuente de Oro', 'Granada', 'Guamal', 'Mapiripán', 'Mesetas', 'La Macarena', 'La Uribe', 'Lejanías', 'Puerto Concordia', 'Puerto Gaitán', 'Puerto López', 'Puerto Lleras', 'Puerto Rico', 'Restrepo', 'San Carlos de Guaroa', 'San Juan de Arama', 'San Juanito', 'San Martín', 'Vista Hermosa'],
            'Nariño': ['Pasto', 'Albán', 'Aldana', 'Ancuyá', 'Arboleda', 'Barbacoas', 'Belén', 'Buesaco', 'Chachagüí', 'Colón', 'Consacá', 'Contadero', 'Córdoba', 'Cuaspud', 'Cumbal', 'Cumbitara', 'El Charco', 'El Peñol', 'El Rosario', 'El Tablón de Gómez', 'El Tambo', 'Francisco Pizarro', 'Funes', 'Guachucal', 'Guaitarilla', 'Gualmatán', 'Iles', 'Imués', 'Ipiales', 'La Cruz', 'La Florida', 'La Llanada', 'La Tola', 'La Unión', 'Leiva', 'Linares', 'Los Andes', 'Magüí', 'Mallama', 'Mosquera', 'Nariño', 'Olaya Herrera', 'Ospina', 'Policarpa', 'Potosí', 'Providencia', 'Puerres', 'Pupiales', 'Ricaurte', 'Roberto Payán', 'Samaniego', 'San Bernardo', 'San Lorenzo', 'San Pablo', 'San Pedro de Cartago', 'Sandoná', 'Santa Bárbara', 'Santacruz', 'Sapuyes', 'Taminango', 'Tangua', 'Túquerres', 'Yacuanquer'],
            'Norte de Santander': ['Cúcuta', 'Abrego', 'Arboledas', 'Bochalema', 'Bucarasica', 'Cácota', 'Cachirá', 'Chinácota', 'Chitagá', 'Convención', 'Cucutilla', 'Durania', 'El Carmen', 'El Tarra', 'El Zulia', 'Gramalote', 'Hacarí', 'Herrán', 'La Esperanza', 'La Playa', 'Labateca', 'Los Patios', 'Lourdes', 'Mutiscua', 'Ocaña', 'Pamplona', 'Pamplonita', 'Puerto Santander', 'Ragonvalia', 'Salazar', 'San Calixto', 'San Cayetano', 'Santiago', 'Sardinata', 'Silos', 'Teorama', 'Tibú', 'Toledo', 'Villa Caro', 'Villa del Rosario'],
            'Putumayo': ['Mocoa', 'Colón', 'Orito', 'Puerto Asís', 'Puerto Caicedo', 'Puerto Guzmán', 'Puerto Leguízamo', 'San Francisco', 'San Miguel', 'Santiago', 'Sibundoy', 'Valle del Guamuez', 'Villagarzón'],
            'Quindío': ['Armenia', 'Buenavista', 'Calarcá', 'Circasia', 'Córdoba', 'Filandia', 'Génova', 'La Tebaida', 'Montenegro', 'Pijao', 'Quimbaya', 'Salento'],
            'Risaralda': ['Pereira', 'Apía', 'Balboa', 'Belén de Umbría', 'Dosquebradas', 'Guática', 'La Celia', 'La Virginia', 'Marsella', 'Mistrató', 'Pueblo Rico', 'Quinchía', 'Santa Rosa de Cabal', 'Santuario'],
            'San Andrés y Providencia': ['San Andrés', 'Providencia y Santa Catalina'],
            'Santander': ['Bucaramanga', 'Aguada', 'Albania', 'Aratoca', 'Barbosa', 'Barichara', 'Barrancabermeja', 'Betulia', 'Bolívar', 'Cabrera', 'California', 'Capitanejo', 'Carcasí', 'Cepitá', 'Cerrito', 'Charalá', 'Charta', 'Chima', 'Chipatá', 'Cimitarra', 'Concepción', 'Confines', 'Contratación', 'Coromoro', 'Curití', 'El Carmen de Chucurí', 'El Guacamayo', 'El Peñón', 'El Playón', 'Encino', 'Enciso', 'Florián', 'Floridablanca', 'Galán', 'Gámbita', 'Girón', 'Guaca', 'Guadalupe', 'Guapotá', 'Guavatá', 'Güepsa', 'Hato', 'Jesús María', 'Jordán', 'La Belleza', 'La Paz', 'Landázuri', 'Lebrija', 'Los Santos', 'Macaravita', 'Málaga', 'Matanza', 'Mogotes', 'Molagavita', 'Ocamonte', 'Oiba', 'Onzaga', 'Palmar', 'Palmas del Socorro', 'Páramo', 'Piedecuesta', 'Pinchote', 'Puente Nacional', 'Puerto Parra', 'Puerto Wilches', 'Rionegro', 'Sabana de Torres', 'San Andrés', 'San Benito', 'San Gil', 'San Joaquín', 'San José de Miranda', 'San Miguel', 'San Vicente de Chucurí', 'Santa Bárbara', 'Santa Helena del Opón', 'Simacota', 'Socorro', 'Suaita', 'Sucre', 'Suratá', 'Tona', 'Valle de San José', 'Vélez', 'Vetas', 'Villanueva', 'Zapatoca'],
            'Sucre': ['Sincelejo', 'Buenavista', 'Caimito', 'Colosó', 'Corozal', 'Coveñas', 'Chalán', 'El Roble', 'Galeras', 'Guaranda', 'La Unión', 'Los Palmitos', 'Majagual', 'Morroa', 'Ovejas', 'Palmito', 'Sampués', 'San Benito Abad', 'San Juan de Betulia', 'San Marcos', 'San Onofre', 'San Pedro', 'Sincé', 'Sucre', 'Tolú', 'Tolú Viejo'],
            'Tolima': ['Ibagué', 'Alpujarra', 'Alvarado', 'Ambalema', 'Anzoátegui', 'Armero', 'Ataco', 'Cajamarca', 'Carmen de Apicalá', 'Casabianca', 'Chaparral', 'Coello', 'Coyaima', 'Cunday', 'Dolores', 'Espinal', 'Falan', 'Flandes', 'Fresno', 'Guamo', 'Herveo', 'Honda', 'Icononzo', 'Lérida', 'Líbano', 'Mariquita', 'Melgar', 'Murillo', 'Natagaima', 'Ortega', 'Palocabildo', 'Piedras', 'Planadas', 'Prado', 'Purificación', 'Rioblanco', 'Roncesvalles', 'Rovira', 'Saldaña', 'San Antonio', 'San Luis', 'Santa Isabel', 'Suárez', 'Valle de San Juan', 'Venadillo', 'Villahermosa', 'Villarrica'],
            'Valle del Cauca': ['Cali', 'Alcalá', 'Andalucía', 'Ansermanuevo', 'Argelia', 'Bolívar', 'Buenaventura', 'Buga', 'Bugalagrande', 'Caicedonia', 'Calima', 'Candelaria', 'Cartago', 'Dagua', 'El Águila', 'El Cairo', 'El Cerrito', 'El Dovio', 'Florida', 'Ginebra', 'Guacarí', 'Jamundí', 'La Cumbre', 'La Unión', 'La Victoria', 'Obando', 'Palmira', 'Pradera', 'Restrepo', 'Riofrío', 'Roldanillo', 'San Pedro', 'Sevilla', 'Toro', 'Trujillo', 'Tuluá', 'Ulloa', 'Versalles', 'Vijes', 'Yotoco', 'Yumbo', 'Zarzal'],
            'Vaupés': ['Mitú', 'Carurú', 'Pacoa', 'Taraira', 'Papunaua', 'Yavaraté'],
            'Vichada': ['Puerto Carreño', 'Cumaribo', 'La Primavera', 'Santa Rosalía']
        }[departamento] || [];
        
        municipios.forEach(mun => {
            const option = document.createElement('option');
            option.value = mun;
            option.textContent = mun;
            
            // Mantener seleccionado el municipio si ya estaba seleccionado
            <?php if (isset($_POST['municipio']) && !isset($success)): ?>
                if (mun === '<?php echo $_POST['municipio']; ?>') {
                    option.selected = true;
                }
            <?php endif; ?>
            
            municipioSelect.appendChild(option);
        });
    }
}

// Ejecutar al cargar la página
document.addEventListener('DOMContentLoaded', function() {
    <?php 
    if (isset($_GET['curso_id']) || $cupos_agotados) {
        echo 'mostrarCuposDisponibles();';
    }
    ?>
    
    // Escuchar cambios en el campo de cédula
    document.getElementById('cedula').addEventListener('input', function() {
        if (document.getElementById('curso_id').value) {
            verificarInscripcionExistente();
            if (document.getElementById('correo').value) {
                verificarCorreoExistente();
            }
        }
    });
    
    // Escuchar cambios en el campo de correo
    document.getElementById('correo').addEventListener('input', function() {
        if (document.getElementById('curso_id').value && document.getElementById('cedula').value) {
            verificarCorreoExistente();
        }
    });
    
    // Escuchar cambios en el select de curso
    document.getElementById('curso_id').addEventListener('change', function() {
        mostrarCuposDisponibles();
        if (document.getElementById('cedula').value) {
            verificarInscripcionExistente();
        }
        if (document.getElementById('correo').value) {
            verificarCorreoExistente();
        }
    });
    
    // Escuchar cambios en el select de departamento
    document.getElementById('departamento').addEventListener('change', function() {
        actualizarMunicipios();
    });
    
    // Validar archivos antes de enviar
    document.getElementById('inscripcionForm').addEventListener('submit', function(e) {
        const correoFeedback = document.getElementById('correo-feedback');
        if (correoFeedback.classList.contains('invalid-feedback')) {
            e.preventDefault();
            alert('Por favor corrige el problema con el correo electrónico antes de enviar el formulario.');
            return;
        }
        
        const cedulaFeedback = document.getElementById('cedula-feedback');
        if (cedulaFeedback.classList.contains('invalid-feedback')) {
            e.preventDefault();
            alert('Por favor corrige el problema con la cédula antes de enviar el formulario.');
            return;
        }
        
        const cedula = document.getElementById('cedula').value;
        if (!/^\d+$/.test(cedula)) {
            e.preventDefault();
            alert('El número de identificación debe contener solo dígitos');
            return;
        }
        
        const celular = document.getElementById('celular').value;
        if (!/^\d{10,15}$/.test(celular)) {
            e.preventDefault();
            alert('El número de celular debe contener entre 10 y 15 dígitos');
            return;
        }
        
        const requiredFiles = [
            'archivo_pdf_cedula',
            'archivo_img_fotografia',
            'archivo_pdf_comprobante_pago',
            'archivo_pdf_certificado_formacion'
        ];
        
        for (const fileId of requiredFiles) {
            const fileInput = document.getElementById(fileId);
            if (fileInput.files.length === 0) {
                e.preventDefault();
                alert('El archivo ' + fileId.replace(/_/g, ' ') + ' es requerido');
                return;
            }
            
            if (fileInput.files[0].size > 2 * 1024 * 1024) {
                e.preventDefault();
                alert('El archivo ' + fileId.replace(/_/g, ' ') + ' excede el tamaño máximo de 2MB');
                return;
            }
        }
    });

    // Limpiar campos si hubo éxito
    <?php if (isset($success)): ?>
        // Limpiar campos de archivo
        const fileInputs = document.querySelectorAll('.file-upload');
        fileInputs.forEach(input => {
            input.value = '';
        });
        
        // Limpiar mensajes de validación
        document.getElementById('cedula-feedback').textContent = '';
        document.getElementById('correo-feedback').textContent = '';
        document.getElementById('correo').classList.remove('correo-valido', 'correo-invalido');
        
        // Resetear selects
        document.getElementById('sexo').value = '';
        document.getElementById('clase_cuerpo_bomberos').value = '';
        document.getElementById('departamento').value = '';
        document.getElementById('municipio').innerHTML = '<option value="">Seleccionar municipio...</option>';
    <?php endif; ?>
});
</script>
</body>
</html>